blk_rq_unmap_user
Prev | Chapter 19. Block Devices | Next

## Name

blk_rq_unmap_user — unmap a request with user data

## Synopsis

`int blk_rq_unmap_user (` | struct bio * | bio`)`;

## Arguments

`bio`

  start of bio list

## Description

Unmap a rq previously mapped by `blk_rq_map_user`. The caller must supply the original rq->bio from the `blk_rq_map_user` return, since the io completion may have changed rq->bio.

Prev | Up | Next
blk_rq_map_user_iov | Home | blk_rq_map_kern